#!/bin/bash

DP0=$(xrandr --query | grep 'DP-0' | cut -d ' ' -f2)
DP1=$(xrandr --query | grep 'DP-1' | cut -d ' ' -f2)
DP2=$(xrandr --query | grep 'DP-2' | cut -d ' ' -f2)
DP3=$(xrandr --query | grep 'DP-3' | cut -d ' ' -f2)
DP4=$(xrandr --query | grep 'DP-4' | cut -d ' ' -f2)
DP5=$(xrandr --query | grep 'DP-5' | cut -d ' ' -f2)
DP6=$(xrandr --query | grep 'DP-6' | cut -d ' ' -f2)

echo "DP0 : $DPO"
echo "DP1 : $DP1"
echo "DP2 : $DP2"
echo "DP3 : $DP3"
echo "DP4 : $DP4"
echo "DP5 : $DP5"
echo "DP6 : $DP6"


if [[ $DP1 == "connected" && $DP4 == "connected" && $DP6 == "connected" ]]
then
    xrandr --output DP-0 --off --output DP-1 --mode 1920x1080 --pos 640x1080 --rotate normal --output DP-2 --off --output DP-3 --off --output DP-4 --primary --mode 1920x1080 --pos 640x1080 --rotate normal --output DP-5 --off --output DP-6 --mode 2560x1080 --pos 0x0 --rotate normal
fi
